x

Search in
Sort by:

Question Status:

Search help

  • Simple searches use one or more words. Separate the words with spaces (cat dog) to search cat,dog or both. Separate the words with plus signs (cat +dog) to search for items that may contain cat but must contain dog.
  • You can further refine your search on the search results page, where you can search by keywords, author, topic. These can be combined with each other. Examples
    • cat dog --matches anything with cat,dog or both
    • cat +dog --searches for cat +dog where dog is a mandatory term
    • cat -dog -- searches for cat excluding any result containing dog
    • [cats] —will restrict your search to results with topic named "cats"
    • [cats] [dogs] —will restrict your search to results with both topics, "cats", and "dogs"

4.15.1 Problem with android 5.1

I have this problem.

LogPlayLevel: ====02/05/2017 1:52:07====PREPARING NATIVE CODE================================================================= LogPlayLevel: UEDeployAndroid.RequiresOBB: APK contains data. LogPlayLevel: UEDeployAndroid.UpdateProjectProperties: LogPlayLevel: ====02/05/2017 1:52:07====UPDATING BUILD CONFIGURATION FILES==================================================== LogPlayLevel: LogPlayLevel: The "android" command is deprecated. LogPlayLevel: For manual SDK, AVD, and project management, please use Android Studio. LogPlayLevel: For command-line tools, use tools\bin\sdkmanager.bat LogPlayLevel: and tools\bin\avdmanager.bat LogPlayLevel:

LogPlayLevel: Invalid or unsupported command "--silent update lib-project --path JavaLibs/downloader_library --target android-19" LogPlayLevel: Supported commands are: LogPlayLevel: android list target LogPlayLevel: android list avd LogPlayLevel: android list device LogPlayLevel: android create avd LogPlayLevel: android move avd LogPlayLevel: android delete avd LogPlayLevel: android list sdk LogPlayLevel: android update sdk LogPlayLevel: Program.Main: ERROR: AutomationTool terminated with exception: ERROR: C:/NVPACK/android-sdk-windows/tools/android.bat failed with args --silent update lib-project --path JavaLibs/downloader_library --target android-19 LogPlayLevel: Program.Main: AutomationTool exiting with ExitCode=1 (Error_Unknown) LogPlayLevel: Completed Launch On Stage: Deploy Task, Time: 15.757854 LogPlayLevel: BUILD FAILED PackagingResults:Error: Error Launch failed! Unknown Error

I've installed SDK, NDK and JDK. This is 1st time that I see this error.

I updated my version of Unreal engine from 4.13.2 to 4.15.1 after the problem with Windows 10 update.

I started my project in 4.13 version and I have a repository in gitHub with other partner. But I decided download 4.15.1 after the problem with the last Windows Update.

Also I've installed the app in my Smartphone when I started my project. I have android 5.1.

alt text

Product Version: UE 4.15
Tags:
captura.jpg (34.0 kB)
more ▼

asked May 02 '17 at 08:01 AM in Using UE4

avatar image

WhyPewPew
6 1 2 2

(comments are locked)
10|2000 characters needed characters left

3 answers: sort voted first

Ok, after try some google search, i found the answer now. Due android SDK tools version 25.3.0 or later has removed the command.

Explain here: https://github.com/liballeg/allegro5/issues/743

or here: https://askubuntu.com/questions/906942/android-update-project-path-target-android-25-on-ubuntu-16-04

Now to fix this you just need to download sdk tools 25.2.5 or earlier, rename the old version folder "tools" to "tools1" or whatever to backup it, then unzip the downloaded one to that location and rename it "tools".

more ▼

answered Sep 05 '17 at 02:07 PM

avatar image

ExistUnreal
21 1 2 6

avatar image FilAl Oct 17 '17 at 06:09 PM

Thank you dude. That got me past this error at least.

EDIT: Btw guys, don't expect latest NDK to work properly as well. Download yourself at least r14b NDK. Otherwise you probably will experience [-Werror,-Wunused-lambda-capture] clang errors on some Unreal Engine core classes. Like TMap that includes helper lambda expressions "seek" with unused capture.

(comments are locked)
10|2000 characters needed characters left

Hi,

I meet exactly the same problem with the same version on Linux side.

The message show:

 ERROR: /opt/android-sdk-update-manager//tools/android failed with args --silent update lib-project --path JavaLibs/downloader  _library --target android-19

I had made sure the "android" executable path is totally correct. And if I manually trigger the command like:

 /opt/android-sdk-update-manager/tools/android --silent update\
  lib-project --path JavaLibs/downloader_library --target android-19

it replies as:

 *************************************************************************
 The "android" command is deprecated.
 For manual SDK, AVD, and project management, please use Android Studio.
 For command-line tools, use tools/bin/sdkmanager and tools/bin/avdmanager
 *************************************************************************
 Invalid or unsupported command "--silent update lib-project --path JavaLibs/downloader_library --target android-19"
 
 Supported commands are:
 android list target
 android list avd
 android list device
 android create avd
 android move avd
 android delete avd
 android list sdk
 android update sdk

I think there's some change into Android SDK so the arguments no longer works for UE4.15.1 May someone have more input in this issue?

Thank you.

more ▼

answered May 19 '17 at 03:18 AM

avatar image

sbbg
6 1 3

avatar image sbbg May 19 '17 at 03:23 AM

And btw, before anyone asking, yes, I had SDK android-19 installed, thank you.

(comments are locked)
10|2000 characters needed characters left

i m use 4.17.1 and got them same error

 The "android" command is deprecated.
 LogPlayLevel: For manual SDK, AVD, and project management, please use Android Studio.
 LogPlayLevel: For command-line tools, use tools\bin\sdkmanager.bat
 LogPlayLevel: and tools\bin\avdmanager.bat
 LogPlayLevel: **************************************************************************
 LogPlayLevel: Invalid or unsupported command "--silent update lib-project --path JavaLibs/downloader_library --target android-26"
 LogPlayLevel: Supported commands are:
 LogPlayLevel: android list target
 LogPlayLevel: android list avd
 LogPlayLevel: android list device
 LogPlayLevel: android create avd
 LogPlayLevel: android move avd
 LogPlayLevel: android delete avd
 LogPlayLevel: android list sdk
 LogPlayLevel: android update sdk
 LogPlayLevel: Program.Main: ERROR: AutomationTool terminated with exception: ERROR: F:/Android/SDK/tools/android.bat failed with args --silent update lib-project --path JavaLibs/downloader_library --target android-26
 LogPlayLevel: Program.Main: AutomationTool exiting with ExitCode=1 (Error_Unknown)
 LogPlayLevel: Completed Launch On Stage: Deploy Task, Time: 2.251489
 LogPlayLevel: BUILD FAILED
 PackagingResults: Error: Launch failed! Unknown Error

Dose anyone know how to fix this?

more ▼

answered Sep 05 '17 at 07:16 AM

avatar image

ExistUnreal
21 1 2 6

(comments are locked)
10|2000 characters needed characters left
Your answer
toggle preview:

Up to 5 attachments (including images) can be used with a maximum of 5.2 MB each and 5.2 MB total.

Follow this question

Once you sign in you will be able to subscribe for any updates here

Answers to this question